tigase.jaxmpp.j2se.connectors.socket

## Class TextStreamReader

- java.lang.Object
- - tigase.jaxmpp.j2se.connectors.socket.TextStreamReader

- All Implemented Interfaces:
    Reader

      public class TextStreamReader
      extends Object
      implements Reader

  TextStreamReader class replaces standard InputStreamReader as it cannot read from InflaterInputStream.
  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextStreamReader(InputStream inputStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read(char[] cbuf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextStreamReader

          public TextStreamReader(InputStream inputStream)

  - ### Method Detail

    - #### read

          public int read(char[] cbuf)
                   throws IOException

      Specified by:
        `read` in interface `Reader`
      Throws:
        `IOException`

Copyright © 2006–2020 Tigase. All rights reserved.